GDBserver

Public Types | Public Member Functions | List of all members
gdb::hash_enum< T > Struct Template Reference

`#include "hash_enum.h"`

## Public Types
typedef size_t | result_type
typedef T | argument_type

## Public Member Functions
size_t | operator() (T val) const noexcept

## Detailed Description

### template<typename T>
struct gdb::hash_enum< T >

Definition at line 31 of file hash_enum.h.

## Member Typedef Documentation

## ◆ argument_type

template<typename T >

typedef T gdb::hash_enum< T >::argument_type

Definition at line 34 of file hash_enum.h.

## ◆ result_type

template<typename T >

typedef size_t gdb::hash_enum< T >::result_type

Definition at line 33 of file hash_enum.h.

## Member Function Documentation

## ◆ operator()()

template<typename T >

size_t gdb::hash_enum< T >::operator() | ( | T | val | ) | const
| inline noexcept

Definition at line 36 of file hash_enum.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/hash_enum.h